org.apache.ignite.internal.processors.service

## Class GridServiceMethodNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.internal.processors.service.GridServiceMethodNotFoundException

All Implemented Interfaces:
  Serializable

    public class GridServiceMethodNotFoundException
    extends IgniteException

Exception thrown if service is not found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridServiceMethodNotFoundException(String svcName, String mtdName, Class<?>[] argTypes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceMethodNotFoundException

    public GridServiceMethodNotFoundException(String svcName,
                                              String mtdName,
                                              Class<?>[] argTypes)

Parameters:
  `svcName` - Service name.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `IgniteException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019